(* ------------------------------------------------------ *)
(*                    STWIDEMO.PAS                        *)
(*           Demoprogramm zur Unit "StandWin"             *)
(*            (c) 1990 R.Reichert & TOOLBOX               *)
(* ------------------------------------------------------ *)
PROGRAM StandardWindowDemo;

USES Crt, StandWin;

VAR
  i      : BYTE;
  Window : StandardWindowPtr;

BEGIN
  TextAttr := 7;
  ClrScr;
  FOR i := 1 TO 80 DO Write('toolbox ');
  New(Window, Init(StandWinData));
        (* auf dem Heap anlegen und gleich initialisieren *)
  WITH Window^ DO BEGIN
    Open;
    ChangeFrame(1);   (* Ein wenig relativ verschieben... *)
    FOR i := 1 TO 10 DO BEGIN
      MoveWinRel(2,0);
      Delay(250);
    END;
    ChangeFrame(2);     (* ... und relativ vergrern ... *)
    FOR i := 1 TO 10 DO BEGIN
      ZoomWinRel(1,1);
      Delay(350);
    END;
    ChangeFrame(3);
                (* ...und wieder "zusammenschnurren" lassen,
                               natrlich auch relativ ... *)
    FOR i := 1 TO 10 DO BEGIN
      ZoomWinRel(-1,-1);
      Delay(350);
    END;
    ChangeFrame(4);                (* Absolut bewegen ... *)
    MoveWinAbs(1,1);
    Delay(350);
    ChangeFrame(5);
                (* und auf volle Gre bringen, absolut ! *)
    ZoomWinAbs(78,23);
    ReadLn;
  END;                         (* Auf dem Heap aufrumen: *)
  Dispose(Window, Done);
  ReadLn;
  ClrScr;
END.
(* ------------------------------------------------------ *)
(*                  Ende von STWIDEMO.PAS                 *)
